Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class AbstractRemoteCommitProvider

    java.lang.Object
      |
      +--kodo.event.AbstractRemoteCommitProvider

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Configurable, RemoteCommitProvider

Direct Known Subclasses:
  JMSRemoteCommitProvider, SingleJVMRemoteCommitProvider, TCPRemoteCommitProvider

public abstract class AbstractRemoteCommitProvider
extends Object
implements RemoteCommitProvider, Configurable

Abstract implementation of `RemoteCommitProvider`. Obtains handles to the event manager and log.

Since:
  2.5.0

Field Summary
`protected RemoteCommitEventManager` | `eventManager`
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`AbstractRemoteCommitProvider()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`void` | `setConfiguration(Configuration config)` Invoked prior to setting bean properties.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager mgr)` Set the "owning" remote event manager to notify when remote events are received from remote sources.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.event.RemoteCommitProvider
`broadcast, close`

Field Detail

### eventManager

    protected RemoteCommitEventManager eventManager

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### AbstractRemoteCommitProvider

    public AbstractRemoteCommitProvider()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration config)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

### setRemoteCommitEventManager

    public void setRemoteCommitEventManager(RemoteCommitEventManager mgr)

  Description copied from interface: `RemoteCommitProvider`
  Set the "owning" remote event manager to notify when remote events are received from remote sources.
  Specified by:
    `setRemoteCommitEventManager` in interface `RemoteCommitProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.